Debian Bug report logs - #665833
Should use gettext plural form in "Use 'apt-get autoremove' to remove them" message

version graph

Package: apt-utils; Maintainer for apt-utils is APT Development Team <deity@lists.debian.org>; Source for apt-utils is src:apt.

Reported by: georgiytreyvus@riseup.net

Date: Mon, 26 Mar 2012 13:42:05 UTC

Severity: normal

Fixed in versions apt/0.9.0~exp1, apt/0.9.0

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#665833; Package apt-utils. (Mon, 26 Mar 2012 13:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to georgiytreyvus@riseup.net:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

: 0.8.15.10

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 26 Mar 2012 13:42:08 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: georgiytreyvus@riseup.net
To: submit@bugs.debian.org
Subject: Minor grammatical inconsistency
Date: Mon, 26 Mar 2012 06:40:26 -0700
package: apt-utils
version:: 0.8.15.10

Here is some of the output of apt-get install:
The following package was automatically installed and is no longer required:
  libkpathsea5
Use 'apt-get autoremove' to remove them.

Normally if there were several orphans the output would be something like:
The following packages were automatically installed and are no longer
required:
  gnome-session-canberra gcalctool telepathy-logger gnome-backgrounds
  telepathy-gabble gnome-search-tool baobab libkpathsea5
network-manager-gnome
  gnome-system-log gucharmap libgeocode-glib0 gnome-disk-utility
  gnome-icon-theme-extras libtelepathy-farsight0 empathy-common
  freedesktop-sound-theme empathy libgdict-1.0-6 telepathy-salut
  gnome-screenshot libgdu-gtk0 libchamplain-0.12-0 gnome-packagekit-data
  fonts-cantarell libavahi-ui-gtk3-0 vino gnome-utils-common gnome-dictionary
  gnome-font-viewer gnome-packagekit dconf-tools libchamplain-gtk-0.12-0
  nautilus-sendto-empathy
Use 'apt-get autoremove' to remove them.

Thus for consistency either:

1. Make the first line in the single orphan case say "The following
packages were automatically installed and are no longer required:" just
like in the multi orphan case.

or

2. Make the last line in the single orphan case say "Use 'apt-get
autoremove' to remove it".

I realize you folks probably have bigger fish to fry but minor grammatical
fixes would also be appreciated by users I'm sure.





Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#665833; Package apt-utils. (Mon, 26 Mar 2012 17:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Mon, 26 Mar 2012 17:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 665833@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: georgiytreyvus@riseup.net, 665833@bugs.debian.org
Subject: Re: Bug#665833: Minor grammatical inconsistency
Date: Mon, 26 Mar 2012 18:29:17 +0200
[Message part 1 (text/plain, inline)]
retitle 665833 Should use gettext plural form in "Use 'apt-get autoremove' to remove them" message
thanks

Quoting georgiytreyvus@riseup.net (georgiytreyvus@riseup.net):
> package: apt-utils
> version:: 0.8.15.10
> 
> Here is some of the output of apt-get install:
> The following package was automatically installed and is no longer required:
>   libkpathsea5
> Use 'apt-get autoremove' to remove them.

Thanks for noticing, it seems that nobody noticed until now. Moreover,
this makes things even worse in languages where there are more than 2
plural forms (such as many slavic languages).

This is a typical case where the use of Plural-Forms has been
forgotten, in the second string.

   {
      if (smallList == false)
	 ShowList(c1out, P_("The following package was automatically installed and is no longer required:",
	          "The following packages were automatically installed and are no longer required:",
	          autoRemoveCount), autoremovelist, autoremoveversions);
      else
	 ioprintf(c1out, P_("%lu package was automatically installed and is no longer required.\n",
	          "%lu packages were automatically installed and are no longer required.\n", autoRemoveCount), autoRemoveCount);
      c1out << _("Use 'apt-get autoremove' to remove them.") << std::endl;
   }

Here, the second string should use the magic used in the first one.

Hence retitling the bug...

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'Should use gettext plural form in "Use 'apt-get autoremove' to remove them" message' from 'Minor grammatical inconsistency' Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 26 Mar 2012 17:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#665833; Package apt-utils. (Wed, 04 Apr 2012 21:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bogdan Purcareata <bogdan.purcareata@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 04 Apr 2012 21:36:15 GMT) Full text and rfc822 format available.

Message #17 received at 665833@bugs.debian.org (full text, mbox):

From: Bogdan Purcareata <bogdan.purcareata@gmail.com>
To: 665833@bugs.debian.org
Subject: Patch
Date: Thu, 5 Apr 2012 00:35:04 +0300
[Message part 1 (text/plain, inline)]
Thank you for your report and your interest in improving Debian!

Bogdan Purcareata
[patch_665833.txt (text/plain, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Apr 2012 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Fri, 13 Apr 2012 19:03:23 GMT) Full text and rfc822 format available.

Notification sent to georgiytreyvus@riseup.net:
Bug acknowledged by developer. (Fri, 13 Apr 2012 19:03:23 GMT) Full text and rfc822 format available.

Message #24 received at 665833-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 665833-close@bugs.debian.org
Subject: Bug#665833: fixed in apt 0.9.0~exp1
Date: Fri, 13 Apr 2012 19:02:19 +0000
Source: apt
Source-Version: 0.9.0~exp1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.9.0~exp1_all.deb
  to main/a/apt/apt-doc_0.9.0~exp1_all.deb
apt-transport-https_0.9.0~exp1_amd64.deb
  to main/a/apt/apt-transport-https_0.9.0~exp1_amd64.deb
apt-utils_0.9.0~exp1_amd64.deb
  to main/a/apt/apt-utils_0.9.0~exp1_amd64.deb
apt_0.9.0~exp1.dsc
  to main/a/apt/apt_0.9.0~exp1.dsc
apt_0.9.0~exp1.tar.gz
  to main/a/apt/apt_0.9.0~exp1.tar.gz
apt_0.9.0~exp1_amd64.deb
  to main/a/apt/apt_0.9.0~exp1_amd64.deb
libapt-inst1.5_0.9.0~exp1_amd64.deb
  to main/a/apt/libapt-inst1.5_0.9.0~exp1_amd64.deb
libapt-pkg-dev_0.9.0~exp1_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.9.0~exp1_amd64.deb
libapt-pkg-doc_0.9.0~exp1_all.deb
  to main/a/apt/libapt-pkg-doc_0.9.0~exp1_all.deb
libapt-pkg4.12_0.9.0~exp1_amd64.deb
  to main/a/apt/libapt-pkg4.12_0.9.0~exp1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665833@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 Apr 2012 12:40:39 +0200
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.0~exp1
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 639008 649340 659333 663372 664833 665833
Changes: 
 apt (0.9.0~exp1) experimental; urgency=low
 .
   [ Michael Vogt ]
   * apt-pkg/packagemanager.cc:
     - fix inconsistent clog/cout usage in the debug output
     - add APT::pkgPackageManager::MaxLoopCount to ensure that the
       ordering code does not get into a endless loop when it flip-flops
       between two states
   * update libapt-inst1.4 to libapt-inst1.5 because of the cleanup
     performed
   * prepare debian/unstable upload, if there are no issues with this
     upload it will directly go into unstable as 0.9.0
 .
   [ David Kalnischkies ]
   * do not update po and pot files in the process of the build as this
     causes timestamp changes for the mo files which therefore can't
     be refcounted by dpkg for your M-A: same packages
     (Closes: #659333, LP: #924628)
   * apt-inst/database.{cc,h}, apt-inst/deb/dpkgdb.{cc,h}:
     - drop instead of fix as it is only needed if you want to reimplement dpkg
       and comes straight from the beginning of last decade (Closes: #663372)
   * apt-inst/deb/debfile.cc:
     - {Extract,Merge}Control() is another instance of "lets reimplement dpkg"
       so shot of this code before someone ends up using this…
   * debian/libapt-pkg4.12:
     - update symbols file
   * debian/apt-utils.install:
     - ship the ftparchive, apt-extractemplates and apt-sortpkgs locales
       in the apt-utils package instead of the apt package
   * apt-pkg/packagemanager.cc:
     - recheck all dependencies if we changed a package in SmartConfigure
       as this could break an earlier dependency (LP: #940396)
     - recheck dependencies in SmartUnpack after a change, too
   * apt-pkg/acquire-worker.cc:
     - check return of write() as gcc recommends
   * apt-pkg/acquire.cc:
     - check return of write() as gcc recommends
   * apt-pkg/cdrom.cc:
     - check return of chdir() and link() as gcc recommends
   * apt-pkg/clean.cc:
     - check return of chdir() as gcc recommends
   * apt-pkg/contrib/netrc.cc:
     - check return of asprintf() as gcc recommends
   * methods/rred.cc:
     - check return of writev() as gcc recommends
   * methods/mirror.cc:
     - check return of chdir() as gcc recommends
   * apt-pkg/deb/dpkgpm.cc:
     - check return of write() a gcc recommends
   * apt-inst/deb/debfile.cc:
     - check return of chdir() as gcc recommends
   * apt-inst/deb/dpkgdb.cc:
     - check return of chdir() as gcc recommends
   * methods/makefile:
     - do not link rred against libz anymore as FileFd handles all
       this transparently now
   * debian/control:
     - bump Standards-Version to 3.9.3 (no changes needed)
     - add libbz2-dev as new build-dependency
     - remove the libz-dev alternative from zlib1g-dev build-dependency
     - suggest xz-utils instead of bzip2 and lzma
   * doc/apt-get.8.xml:
     - typofix: respect → respecting, thanks Mike Erickson! (Closes: #664833)
   * debian/rules:
     - do not sed in configure.in to set the version-number
   * prepare-release:
     - add as a small script to lazy check and prepare releases
   * doc/*:
     - move the command synopsis out of each manpage into apt-verbatim.ent
       as they are a hell to translate and just single out the parameters
       which can be translated to apt.ent
   * apt-pkg/aptconfiguration.cc:
     - if present, prefer xz binary over lzma
     - if we have zlib builtin insert add a dummy gzip compressor for FileFD
     - do the same for bz2 builtin if available
   * methods/bzip2.cc:
     - remove it as the functionality for all compressors can be
       provided by gzip.cc now with the usage of FileFD
   * apt-pkg/contrib/fileutl.cc:
     - use libz2 library for (de)compression instead of the bzip2 binary as
       the first is a dependency of dpkg and the later just priority:optional
       so we gain 'easier' access to bz2-compressed Translation files this way
   * cmdline/apt-get.cc:
     - print list of autoremoves in alphabetical order (Closes: #639008)
 .
   [ Bogdan Purcareata ]
   * doc/apt-get.8.xml:
     - add 'download' to the usage line (Closes: #649340)
   * cmdline/apt-get.cc:
     - distinguish information about 'apt-get autoremove' based on the
       number of auto-removed packages both before and after the list
       of packages (Closes: #665833)
 .
   [ Steve Langasek ]
   * don't treat build-depends-indep as cross-build-dependencies; we should
     always install the host arch versions.  LP: #968828.
 .
   [ Paolo Rotolo ]
   * Fix string from automatic to automatically (LP: #967393).
Checksums-Sha1: 
 6cf38c3cdc9432934f579954db59e8731f2df9a1 1683 apt_0.9.0~exp1.dsc
 318cc0f79aabbaacdc05f78dbdb957d8f9047808 3413262 apt_0.9.0~exp1.tar.gz
 4f93e04b6831b1242ef71cd975a93f4e7d13bd7a 253746 apt-doc_0.9.0~exp1_all.deb
 7787e00fe07327b9041d0519f779e9c808d8d80a 829986 libapt-pkg-doc_0.9.0~exp1_all.deb
 70a34d3740030defeddc80302ee2744020474680 873750 libapt-pkg4.12_0.9.0~exp1_amd64.deb
 91d76fa5d44198a754d6264c7617bf92945838bc 156832 libapt-inst1.5_0.9.0~exp1_amd64.deb
 712a4a9af27126c2fddcc55e61fc858320661e7c 1157058 apt_0.9.0~exp1_amd64.deb
 932aa265091cb4a0b67b62a3d3d7cee3bfa4d84d 176936 libapt-pkg-dev_0.9.0~exp1_amd64.deb
 ddc2aab3616a2616b6a68b35491d63640fbf6ee3 369274 apt-utils_0.9.0~exp1_amd64.deb
 985a7a62ebe73295699aac1b6d22be68affe1e60 99956 apt-transport-https_0.9.0~exp1_amd64.deb
Checksums-Sha256: 
 c6f98df00a474edcca42310460688753f01cca2f0f8ae6cc4ef73d1a6bcfcabc 1683 apt_0.9.0~exp1.dsc
 b55707b6016e687bc179f8edbdd43d5f01b35f7fa383eca080f8089f4613a4ec 3413262 apt_0.9.0~exp1.tar.gz
 32504563db694384bcc6bcd1d03dbc919349d72808e556011430861aeb796b3d 253746 apt-doc_0.9.0~exp1_all.deb
 8cd2d7e61d336e357dccfb3bbd9dd8d291a5f2b406fe384f40d11c236cb32672 829986 libapt-pkg-doc_0.9.0~exp1_all.deb
 174b081e4d7da2935a059d81314b7775a90173897d8c5798bb77740e36bac2f2 873750 libapt-pkg4.12_0.9.0~exp1_amd64.deb
 591d498d2fea61203cda82eafb804f22c17bff7bddcad077deb9157b07e56d15 156832 libapt-inst1.5_0.9.0~exp1_amd64.deb
 6694c6ed784342a65363a949d29b202a2c61b6fcfa2ed0215b3c7e76c63bd403 1157058 apt_0.9.0~exp1_amd64.deb
 64adc317cfc85e5b37278aade4951612f4d8701706f5876488a1619d876e28df 176936 libapt-pkg-dev_0.9.0~exp1_amd64.deb
 4fd82e5d7d3c4e94b2d162ecf85137a804f137919e3bddb03b17b60f0e93741a 369274 apt-utils_0.9.0~exp1_amd64.deb
 137cbb1a1e35099b90a54dbdcf9496970a2cb7a5e5712630373efca92c0ee6f8 99956 apt-transport-https_0.9.0~exp1_amd64.deb
Files: 
 5187ac2aeff92780855ac10da0e28e13 1683 admin important apt_0.9.0~exp1.dsc
 a9b4f2a8237e5f368637fb0902a8aa3c 3413262 admin important apt_0.9.0~exp1.tar.gz
 cda54791c40175e7a4f7062e9e0a0e3d 253746 doc optional apt-doc_0.9.0~exp1_all.deb
 557b70a4795c9445f8e94c1d681380d6 829986 doc optional libapt-pkg-doc_0.9.0~exp1_all.deb
 1fb9c18c5e54adc2623e07dc3b88af39 873750 admin important libapt-pkg4.12_0.9.0~exp1_amd64.deb
 d90329d7451a985a38de824193fbdd3e 156832 admin important libapt-inst1.5_0.9.0~exp1_amd64.deb
 947d9f44d7425e500534212b16c1fbea 1157058 admin important apt_0.9.0~exp1_amd64.deb
 6586904a9bb0b64cd9d38137bcde7cb4 176936 libdevel optional libapt-pkg-dev_0.9.0~exp1_amd64.deb
 584f69ddd8d6c3c63f5b7b62b38331ac 369274 admin important apt-utils_0.9.0~exp1_amd64.deb
 0e416ee32e5bda214f8db35667de85c5 99956 admin optional apt-transport-https_0.9.0~exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+G0hMACgkQliSD4VZixzSQwwCghUUSQf5p3mS+vr9SHhaoPAXB
rzIAn0Syl90gDpc/j6hYOtP1CzNt3MGe
=rgV8
-----END PGP SIGNATURE-----





Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. (Mon, 16 Apr 2012 17:22:07 GMT) Full text and rfc822 format available.

Notification sent to georgiytreyvus@riseup.net:
Bug acknowledged by developer. (Mon, 16 Apr 2012 17:22:07 GMT) Full text and rfc822 format available.

Message #29 received at 665833-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 665833-close@bugs.debian.org
Subject: Bug#665833: fixed in apt 0.9.0
Date: Mon, 16 Apr 2012 17:17:22 +0000
Source: apt
Source-Version: 0.9.0

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.9.0_all.deb
  to main/a/apt/apt-doc_0.9.0_all.deb
apt-transport-https_0.9.0_amd64.deb
  to main/a/apt/apt-transport-https_0.9.0_amd64.deb
apt-utils_0.9.0_amd64.deb
  to main/a/apt/apt-utils_0.9.0_amd64.deb
apt_0.9.0.dsc
  to main/a/apt/apt_0.9.0.dsc
apt_0.9.0.tar.gz
  to main/a/apt/apt_0.9.0.tar.gz
apt_0.9.0_amd64.deb
  to main/a/apt/apt_0.9.0_amd64.deb
libapt-inst1.5_0.9.0_amd64.deb
  to main/a/apt/libapt-inst1.5_0.9.0_amd64.deb
libapt-pkg-dev_0.9.0_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.9.0_amd64.deb
libapt-pkg-doc_0.9.0_all.deb
  to main/a/apt/libapt-pkg-doc_0.9.0_all.deb
libapt-pkg4.12_0.9.0_amd64.deb
  to main/a/apt/libapt-pkg4.12_0.9.0_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665833@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Apr 2012 15:53:17 +0200
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.0
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 353290 500198 540227 559733 596498 619646 621836 622110 624218 625960 632271 632520 639008 639290 640590 643787 646288 646381 649314 649340 649451 650513 652834 652835 653504 655590 656530 657560 657695 657732 657902 658096 658346 659333 662762 663372 664833 665833
Changes: 
 apt (0.9.0) unstable; urgency=low
 .
   * upload to debian/unstable
 .
 apt (0.9.0~exp1) experimental; urgency=low
 .
   [ Michael Vogt ]
   * apt-pkg/packagemanager.cc:
     - fix inconsistent clog/cout usage in the debug output
     - add APT::pkgPackageManager::MaxLoopCount to ensure that the
       ordering code does not get into a endless loop when it flip-flops
       between two states
   * update libapt-inst1.4 to libapt-inst1.5 because of the cleanup
     performed
   * prepare debian/unstable upload, if there are no issues with this
     upload it will directly go into unstable as 0.9.0
 .
   [ David Kalnischkies ]
   * do not update po and pot files in the process of the build as this
     causes timestamp changes for the mo files which therefore can't
     be refcounted by dpkg for your M-A: same packages
     (Closes: #659333, LP: #924628)
   * apt-inst/database.{cc,h}, apt-inst/deb/dpkgdb.{cc,h}:
     - drop instead of fix as it is only needed if you want to reimplement dpkg
       and comes straight from the beginning of last decade (Closes: #663372)
   * apt-inst/deb/debfile.cc:
     - {Extract,Merge}Control() is another instance of "lets reimplement dpkg"
       so shot of this code before someone ends up using this…
   * debian/libapt-pkg4.12:
     - update symbols file
   * debian/apt-utils.install:
     - ship the ftparchive, apt-extractemplates and apt-sortpkgs locales
       in the apt-utils package instead of the apt package
   * apt-pkg/packagemanager.cc:
     - recheck all dependencies if we changed a package in SmartConfigure
       as this could break an earlier dependency (LP: #940396)
     - recheck dependencies in SmartUnpack after a change, too
   * apt-pkg/acquire-worker.cc:
     - check return of write() as gcc recommends
   * apt-pkg/acquire.cc:
     - check return of write() as gcc recommends
   * apt-pkg/cdrom.cc:
     - check return of chdir() and link() as gcc recommends
   * apt-pkg/clean.cc:
     - check return of chdir() as gcc recommends
   * apt-pkg/contrib/netrc.cc:
     - check return of asprintf() as gcc recommends
   * methods/rred.cc:
     - check return of writev() as gcc recommends
   * methods/mirror.cc:
     - check return of chdir() as gcc recommends
   * apt-pkg/deb/dpkgpm.cc:
     - check return of write() a gcc recommends
   * apt-inst/deb/debfile.cc:
     - check return of chdir() as gcc recommends
   * apt-inst/deb/dpkgdb.cc:
     - check return of chdir() as gcc recommends
   * methods/makefile:
     - do not link rred against libz anymore as FileFd handles all
       this transparently now
   * debian/control:
     - bump Standards-Version to 3.9.3 (no changes needed)
     - add libbz2-dev as new build-dependency
     - remove the libz-dev alternative from zlib1g-dev build-dependency
     - suggest xz-utils instead of bzip2 and lzma
   * doc/apt-get.8.xml:
     - typofix: respect → respecting, thanks Mike Erickson! (Closes: #664833)
   * debian/rules:
     - do not sed in configure.in to set the version-number
   * prepare-release:
     - add as a small script to lazy check and prepare releases
   * doc/*:
     - move the command synopsis out of each manpage into apt-verbatim.ent
       as they are a hell to translate and just single out the parameters
       which can be translated to apt.ent
   * apt-pkg/aptconfiguration.cc:
     - if present, prefer xz binary over lzma
     - if we have zlib builtin insert add a dummy gzip compressor for FileFD
     - do the same for bz2 builtin if available
   * methods/bzip2.cc:
     - remove it as the functionality for all compressors can be
       provided by gzip.cc now with the usage of FileFD
   * apt-pkg/contrib/fileutl.cc:
     - use libz2 library for (de)compression instead of the bzip2 binary as
       the first is a dependency of dpkg and the later just priority:optional
       so we gain 'easier' access to bz2-compressed Translation files this way
   * cmdline/apt-get.cc:
     - print list of autoremoves in alphabetical order (Closes: #639008)
 .
   [ Bogdan Purcareata ]
   * doc/apt-get.8.xml:
     - add 'download' to the usage line (Closes: #649340)
   * cmdline/apt-get.cc:
     - distinguish information about 'apt-get autoremove' based on the
       number of auto-removed packages both before and after the list
       of packages (Closes: #665833)
 .
   [ Steve Langasek ]
   * don't treat build-depends-indep as cross-build-dependencies; we should
     always install the host arch versions.  LP: #968828.
 .
   [ Paolo Rotolo ]
   * Fix string from automatic to automatically (LP: #967393).
 .
 apt (0.8.16~exp13) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/acquire-item.cc:
     - remove 'old' InRelease file if we can't get a new one before
       proceeding with Release.gpg to avoid the false impression of a still
       trusted repository by a (still present) old InRelease file.
       Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)
     - add Debug::pkgAcqArchive::NoQueue to disable package downloading
   * apt-pkg/deb/dpkgpm.cc:
     - chroot if needed before dpkg --assert-multi-arch
     - ensure that dpkg binary doesn't have the chroot-directory prefixed
     - call dpkg --assert-multi-arch with execvp instead of execv
     - save the universe by not printing messages about apport if a package
       with this name is not installed (Closes: #619646)
     - handle a SIGINT in all modes as a break after the currently running
       dpkg transaction instead of ignoring it completely
   * apt-pkg/depcache.cc:
     - if a M-A:same package is marked for reinstall, mark all it's installed
       silbings for reinstallation as well (LP: #859188)
   * apt-pkg/contrib/configuration.cc:
     - do not stop parent transversal in FindDir if the value is empty
   * methods/http{s,}.cc:
     - if a file without an extension is requested send an 'Accept: text/*'
       header to avoid that the server chooses unsupported compressed files
       in a content-negotation attempt (Closes: #657560)
     - remove the arbitrary MAXLEN limit for response lines (Closes: #658346)
   * apt-pkg/aptconfiguration.cc:
     - chroot if needed before calling dpkg --print-foreign-architectures
     - ensure that architectures are not added multiple times
   * cmdline/apt-mark.cc:
     - detect if dpkg has multiarch support before calling --set-selections
     - correctly ignore already (un)hold packages
   * apt-pkg/cachefile.cc:
     - clean up lost atomic cachefiles with 'clean' (Closes: #650513)
   * apt-pkg/indexrecords.cc:
     - do not create empty Entries as a sideeffect of Lookup()
   * apt-pkg/acquire-item.cc:
     - drop support for i18n/Index file (introduced in 0.8.11) and use
       the Release file instead to get the Translations (Closes: #649314)
     - use pdiff for Translation-* files if available (Closes: #657902)
   * ftparchive/writer.cc:
     - add 'Translation-*' to the default patterns
   * cmdline/apt-get.cc:
     - if a package can't be removed as it is not installed, suggest to
       the user an (installed) multiarch silbing with 'Did you mean?'
     - improve 'error' message for packages which are only referenced
       e.g. in a Depends line and are now requested for removal
   * cmdline/apt-cache.cc:
     - correct --pre-depends option by using dash consistently (LP: #940837)
   * apt-pkg/packagemanager.cc:
     - do not try to a void a breaks if the broken package pre-depends
       on the breaker, but let dpkg auto-deconfigure it
   * apt-pkg/contrib/fileutl.cc:
     - do not warn about the ignoring of directories (Closes: #662762)
 .
   [ Steve Langasek ]
   * cmdline/apt-get.cc:
     - for cross-build-dependencies M-A: none should be DEB_HOST_ARCH,
       not DEB_BUILD_ARCH (Closes: #646288)
 .
   [ Colin Watson ]
   * apt-pkg/algorithms.cc:
     - don't break out of the main-resolver loop for Breaks to deal with all
       of them in a single iteration (Closes: #657695, LP: #922485)
     - use a signed int instead of short for score calculation as upgrades
       become so big now that it can overflow (Closes: #657732, LP: #917173)
   * Fix IndexCopy::CopyPackages and TranslationsCopy::CopyTranslations to
     handle compressed files again (LP: #924182, closes: #658096)
 .
   [ Michael Vogt ]
   * apt-pkg/deb/dpkgpm.cc:
     - fix crash when a package is in removed but residual config state
       (LP: #923807)
   * apt-pkg/contrib/fileutl.h:
     - fix compat with FileFd::OpenDescriptor() in ReadOnlyGzip mode
   * apt-pkg/packagemanager.cc:
     - fix bug in predepends handling - ensure that packages that needs
       unpackaging are unpacked before they are configured (LP: #927993)
 .
   [ Julian Andres Klode ]
   * apt-pkg/deb/deblistparser.cc:
     - Set the Essential flag on APT instead of only Important
   * apt-pkg/packagemanager.cc:
     - Do not use immediate configuration for packages with the Important flag
   * Treat the Important flag like the Essential flag with those differences:
     - No Immediate configuration (see above)
     - Not automatically installed during dist-upgrade
     - No higher score for installation ordering
 .
 apt (0.8.16~exp12) experimental; urgency=low
 .
   [ Michael Vogt ]
   * apt-pkg/deb/dpkgpm.cc:
     - fix segfault on pkg removal
 .
   [ David Kalnischkies ]
   * apt-pkg/cacheiterators.h:
     - return the correct version arch for all+foreign, too
   * apt-pkg/packagemanager.cc:
     - ignore breaks on not-installed versions while searching for
       breakage loops as we don't have to avoid them
   * debian/control:
     - remove APT from the short descriptions as lintian doesn't like it
       and it doesn't transport any information for a reader anyway
     - apply typofixes by Pascal De Vuyst, thanks! (Closes: #652834, #652835)
   * debian/rules:
     - apply patch to enable usage of hardning CPPFLAGS and LDFLAGS by
       Moritz Muehlenhoff, thanks! (Closes: #653504)
   * methods/https.cc:
     - use curls list append instead of appending Range and If-Range by hand
       which generates malformed requests, thanks Mel Collins for the hint!
       (Closes: #646381)
   * test/libapt/run-tests:
     - hurd doesn't have dmesg yet and we don't really need it either,
       so use with $0 a more stable data source for hashsumming
 .
   [ Pino Toscano ]
   * test/libapt/globalerror_test.cc:
     - errno 0 has a different strerror on hurd, so generate the expected
       message dynamically instead of hardcoding 'Success' (Closes: #656530)
 .
 apt (0.8.16~exp11) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/deb/dpkgpm.cc:
     - redirect out/input of dpkg --assert-multi-arch to /dev/null
     - if multi-arch is detected ensure that pkg:all is reported as pkg:all
 .
 apt (0.8.16~exp10) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/depcache.cc:
     - implicit conflicts (for multiarch) are supposed to conflict
       only with real packages, not with virtual providers
   * apt-pkg/pkgcache.cc:
     - ignore implicit conflicts on providers in AllTarget, too
   * apt-pkg/deb/dpkgpm.cc:
     - check if dpkg supports multiarch with --assert-multi-arch
       and if it does be always explicit about the architecture
   * apt-pkg/contrib/fileutl.h:
     - store the offset in the internal fd before calculate size of
       the zlib-handled file to jump back to this place again
   * apt-pkg/aptconfiguration.cc:
     - parse dpkg --print-foreign-architectures correctly in
       case archs are separated by newline instead of space, too.
       (Closes: #655590)
 .
   [ Michael Vogt ]
   * apt-pkg/contrib/fileutl.h:
     - fix segfault triggered by the python-apt testsuite
 .
 apt (0.8.16~exp9) experimental; urgency=low
 .
   [ Julian Andres Klode ]
   * apt-pkg/cdrom.cc:
     - Accept .bz2, .xz files in addition to .gz files (Closes: #649451)
 .
   [ Michael Vogt ]
   * apt-pkg/cdrom.cc:
     - use aptconfiguration to get the supported compression types
   * debian/control:
     - bump debhelper build-dep to debhelper (>= 8.1.3~)
     - set libapt-pkg-dev to multi-arch: same too
   * g++ 4.7 fixes
 .
   [ Colin Watson ]
   * Convert libapt-pkg4.12 and libapt-inst1.4 to Multi-Arch: same.
 .
   [ David Kalnischkies ]
   * apt-pkg/cacheset.cc:
     - make the cachesets real containers which can embedding any container
       to be able to use the same interface regardless of set or list usage
     - provide a {Package,Version}List similar to {Package,Version}Set
   * cmdline/apt-{get,cache,mark}.cc:
     - use Lists instead of Sets if input order should be preserved for
       commands accepting lists of packages, e.g. policy (Closes: #625960)
   * apt-pkg/depcache.cc:
     - prefer native providers over foreigns even if the chain is foreign
   * cmdline/apt-get.cc:
     - ignore foreign architectures if we check if a provides has only one
       resolver as it's basically the same for the user, so no need to choose
   * cmdline/apt-config.cc:
     - dump the APT::Compressor settings correctly and completely
   * apt-pkg/contrib/fileutl.{h,cc}:
     - implement a ModificationTime method for FileFd
     - add a ReadLine method
     - drop the explicit export of gz-compression handling
   * apt-pkg/cdrom.cc:
     - support InRelease files on cdrom
 .
 apt (0.8.16~exp8) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * algorithms.cc:
     - show a debug why a package was kept by ResolveByKeep()
   * apt-pkg/packagemanager.cc:
     - do not fail on unpacked packages in SmartUnPack, just don't
       shedule them for unpack, but do all checks and configure them
     - do not enter an endless loop for (essential) pre-dependency loops
   * apt-pkg/contrib/sha2_internal.cc:
     - use a pointer-union to peace gcc strict-aliasing warning
   * apt-pkg/deb/deblistparser.cc:
     - M-A: foreign packages provide for other archs, too
 .
 apt (0.8.16~exp7) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * do not pollute namespace in the headers with using (Closes: #500198)
   * use forward declaration in headers if possible instead of includes
   * remove old APT_COMPATIBILITY ifdef's
   * apt-pkg/deb/dpkgpm.cc:
     - use std::vector instead of fixed size arrays to store args and
       multiarch-packagename strings
     - load the dpkg base arguments only one time and reuse them later
   * cmdline/apt-get.cc:
     - follow Provides in the evaluation of saving candidates, too, for
       statisfying garbage package dependencies (Closes: #640590)
   * apt-pkg/algorithms.cc:
     - if a package is garbage, don't try to save it with FixByInstall
   * apt-pkg/deb/debsrcrecords.cc:
     - remove the limit of 400 Binaries for a source package (Closes: #622110)
   * apt-pkg/deb/deblistparser.cc:
     - fix crash when the dynamic mmap needs to be grown in
       LoadReleaseInfo (LP: #854090)
   * apt-pkg/deb/debmetaindex.cc:
     - none is a separator, not a language: no need for Index (Closes: #624218)
   * apt-pkg/aptconfiguration.cc:
     - do not builtin languages only if none is forced (Closes: #643787)
   * apt-pkg/pkgcachegen.cc:
     - refactor MergeList by creating -Group, -Package and -Version specialist
     - share description list between "same" versions (LP: #868977)
       This also means that descriptions are shared across archives now.
     - add implicit dependencies needed for Multi-Arch at the time a Version
       struct is created and not at the end of the cache generation
   * apt-pkg/pkgcache.cc:
     - always prefer "en" over "" for "en"-language regardless of cache-order
 .
   [ Michael Vogt ]
   * apt-pkg/contrib/configuration.cc:
     - fix double delete (LP: #848907)
     - ignore only the invalid regexp instead of all options
   * apt-pkg/acquire-item.h, apt-pkg/deb/debmetaindex.cc:
     - fix fetching language information by adding OptionalSubIndexTarget
   * methods/https.cc:
     - cleanup broken downloads properly
 .
   [ Colin Watson ]
   * ftparchive/cachedb.cc:
     - fix buffersize in bytes2hex
 .
 apt (0.8.16~exp6) experimental; urgency=low
 .
   [ Christopher Baines ]
   * enable APT in unpack/configure ordering to handle loops as well
     as tight dependencies between immediate packages better
     enabling also the possibility to mark all packages as immediate
     (at least Closes: #353290, #540227, #559733, #621836, #639290)
 .
   [ David Kalnischkies ]
   * [abi-break] Support large files in the complete toolset. Indexes of this
     size are pretty unlikely for now, but we need it for deb
     packages which could become bigger than 4GB now (LP: #815895)
   * merged the debian-sid branch
 .
   [ Michael Vogt ]
   * bump ABI version
 .
 apt (0.8.16~exp5) experimental; urgency=low
 .
   * merged the latest debian-sid fixes
   * apt-pkg/makefile:
     - install sha256.h compat header
   * apt-pkg/pkgcachegen.{cc,h}:
     - use ref-to-ptr semantic in NewDepends() to ensure that the
       libapt does not segfault if the cache is remapped in between
       (LP: #812862)
     - fix crash when P.Arch() was used but the cache got remapped
   * apt-pkg/acquire-item.{cc,h}:
     - do not check for a "Package" tag in optional index targets
       like the translations index
   * apt-pkg/acquire.cc:
     - fix potential divide-by-zero
   * methods/mirror.cc:
     - include the architecture(s) in the query string as well so
       that the server can make better decisions
 .
 apt (0.8.16~exp4) experimental; urgency=low
 .
   [ Julian Andres Klode ]
   * apt-pkg/pkgcache.h:
     - [ABI break] Add pkgCache::Header::CacheFileSize, storing the cache size
   * apt-pkg/pkgcachegen.cc:
     - Write the file size to the cache
   * apt-pkg/pkgcache.cc:
     - Check that cache is at least CacheFileSize bytes large (LP: #16467)
 .
   [ Michael Vogt ]
   * merged latest fixes from debian-sid
   * apt-pkg/cdrom.{cc,h}:
     - cleanup old ABI break avoidance hacks
   * [ABI break] apt-pkg/acquire-item.{cc,h}:
     - cleanup around OptionalIndexTarget and SubIndexTarget
   * [ABI break] merged patch from Jonathan Thomas to have a new
     RecordField() function in the pkgRecorder parser. Many thanks
     Thomas
   * [ABI break] merge patch from Jonathan Thomas to speed up the
     depcache by caching the install-recommends and install-suggests
     values
   * apt-pkg/contrib/fileutl.{cc,h}:
     - add GetModificationTime() helper
   * apt-pkg/pkgcachegen.cc:
     - regenerate the cache if the sources.list changes to ensure
       that changes in the ordering there will be honored by apt
   * apt-pkg/sourcelist.{cc,h}:
     - add pkgSourceList::GetLastModifiedTime() helper
 .
 apt (0.8.16~exp3) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * apt-pkg/pkgcache.h:
     - readd All{Foreign,Allowed} as suggested by Julian to
       remain strictly API compatible
   * apt-pkg/acquire*.{cc,h}:
     - try even harder to support really big files in the fetcher by
       converting (hopefully) everything to 'long long' (Closes: #632271)
   * ftparchive/writer.cc:
     - generate all checksums in one run over the file for Release
   * cmdline/apt-get.cc:
     - add an --assume-no option for testing to say 'no' to everything
   * apt-pkg/deb/debmetaindex.cc:
     - add trusted=yes option to mark unsigned (local) repository as trusted
       based on a patch from Ansgar Burchardt, thanks a lot! (Closes: #596498)
 .
   [ Michael Vogt ]
   * merge fixes from the debian/unstable upload
   * merge lp:~mvo/apt/sha512-template to get fixes for the
     sha1/md5 verifiation (closes: #632520)
 .
 apt (0.8.16~exp2) experimental; urgency=low
 .
   [ David Kalnischkies ]
   * [ABI-Break] Implement EDSP in libapt-pkg so that all front-ends which
     use the internal resolver can now be used also with external
     ones as the usage is hidden in between the old API
   * provide two edsp solvers in apt-utils:
     - 'dump' to quickly output a complete scenario and
     - 'apt' to use the internal as an external resolver
   * apt-pkg/pkgcache.h:
     - clean up mess with the "all" handling in MultiArch to
       fix LP: #733741 cleanly for everyone now
   * apt-pkg/depcache.cc:
     - use a boolean instead of an int for Add/Remove in AddStates
       similar to how it works with AddSizes
     - let the Mark methods return if their marking was successful
     - if a Breaks can't be upgraded, remove it. If it or a Conflict
       can't be removed the installation of the breaker fails.
   * cmdline/apt-get.cc:
     - do not discard the error messages from the resolver and instead
       only show the general 'Broken packages' message if nothing else
 .
   [ Stefano Zacchiroli ]
   * doc/external-dependency-solver-protocol.txt:
     - describe EDSP and the configuration interface around it
 .
   [ Michael Vogt ]
   * [ABI-Break] merge lp:~mvo/apt/sha512-template to add support for sha512
   * [ABI-Break] merge lp:~mvo/apt/dpointer to support easier extending
     without breaking the ABI
   * increase ABI version and update package names
 .
 apt (0.8.16~exp1) experimental; urgency=low
 .
   * merged with the debian/unstable upload
Checksums-Sha1: 
 fc95da4daa2a1568bc5acd39ab4af63ec1820780 1663 apt_0.9.0.dsc
 fc3f40502d23333f220e4e6514ca9d001d387b77 3413809 apt_0.9.0.tar.gz
 13f76db32f4ce0311c8d74ab4170e3fa46c6202a 253740 apt-doc_0.9.0_all.deb
 c82ea78974c9c49cbfebf4cf2378610c715d395d 829988 libapt-pkg-doc_0.9.0_all.deb
 47ba3fd9d06f4d923ccdd4bb133c456a5b3de57b 873740 libapt-pkg4.12_0.9.0_amd64.deb
 418b2736f47b3c22ec9caa3bc9d8d5bfcc9a9b09 156814 libapt-inst1.5_0.9.0_amd64.deb
 efb3a085bc077bbadccd11bcb7fa726865820243 1157074 apt_0.9.0_amd64.deb
 c0046bfbdc1be9f50769fd52ef1e2d7b75a9ca40 176948 libapt-pkg-dev_0.9.0_amd64.deb
 50c59ca1d1baba9d6c6cd6a81c4a48839ba21931 369252 apt-utils_0.9.0_amd64.deb
 812d23a09ce7acdee2c463e8d1df1d1212482810 99976 apt-transport-https_0.9.0_amd64.deb
Checksums-Sha256: 
 b5efa4315aa7956a467356cbd5a9647f04a0b726d52dffd651fcce3e94e60835 1663 apt_0.9.0.dsc
 a8cf8af3251a2f8e3d939dce69ce84d4c9320c499c01183471a4918d2fcef0be 3413809 apt_0.9.0.tar.gz
 d5246add11f5ea8007ba0f5c16add3750583ba689ea72726cd7b4237dd1e42c3 253740 apt-doc_0.9.0_all.deb
 8f669ee3f961df54ad7ffbb39ca1ff5eac9b5700bad20165997eb1a7efd0c860 829988 libapt-pkg-doc_0.9.0_all.deb
 49a07e004d87678a56c21efc49109d85666a09a559487f960a9969f3ad1f9abd 873740 libapt-pkg4.12_0.9.0_amd64.deb
 52d53e744546181288e94a5526046e45113b9b0cb45ff9d2d9287dfa7797668b 156814 libapt-inst1.5_0.9.0_amd64.deb
 9db94005d54437feee3eac020e22fd9e85ca53d10528a52150241a3fe1f493f1 1157074 apt_0.9.0_amd64.deb
 e71efeda5b64d29aeb4da6b051e3732319c3ebaa49b6be57a81de57d7e242fab 176948 libapt-pkg-dev_0.9.0_amd64.deb
 d5f6a970d25152a304b7d4cdfa7592399bd7a379b456be543b4aac3fa4d6555b 369252 apt-utils_0.9.0_amd64.deb
 0f44eb74360b8ace4c03a190df566f88033e7d4c8dcb1e177a24e7f320a50f93 99976 apt-transport-https_0.9.0_amd64.deb
Files: 
 a606ce414eb9a7234d43276601383622 1663 admin important apt_0.9.0.dsc
 cf73c2b5f5428d536801a1edc48f0d11 3413809 admin important apt_0.9.0.tar.gz
 2cd144c8fdbe818cfc6e2bb16ddc0b33 253740 doc optional apt-doc_0.9.0_all.deb
 1bc9224c399e7dd0fc7dfcc730b3947e 829988 doc optional libapt-pkg-doc_0.9.0_all.deb
 fe831381997d9423c3daa80ce0d8491c 873740 admin important libapt-pkg4.12_0.9.0_amd64.deb
 63676485e73e922621cb2e0fac3ace6f 156814 admin important libapt-inst1.5_0.9.0_amd64.deb
 76e6ab6d2d06d7a895c4ef2f4da98ad6 1157074 admin important apt_0.9.0_amd64.deb
 e304af794f6f4be0b877882877f3c88a 176948 libdevel optional libapt-pkg-dev_0.9.0_amd64.deb
 0df83118a37c5893155ac2d9fcf8b2a9 369252 admin important apt-utils_0.9.0_amd64.deb
 7e9150fe4ee5be28a476c714bd70422c 99976 admin optional apt-transport-https_0.9.0_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+MUBMACgkQliSD4VZixzRuGQCfQrCgw4t9ts0LCLxZeafSquT2
X10AoJFelZR+3rybe+zx15X0jaxiIcuz
=+UJn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 May 2012 07:37:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:00:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.